#****************************************************************************
#**
#**  File     :  /cdimage/units/URL0203/URL0203_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Ambphibious Tank Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CLandUnit = import('/lua/cybranunits.lua').CLandUnit
local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CDFElectronBolterWeapon = CybranWeaponsFile.CDFElectronBolterWeapon
local CDFMissileMesonWeapon = CybranWeaponsFile.CDFMissileMesonWeapon
local CANTorpedoLauncherWeapon = CybranWeaponsFile.CANTorpedoLauncherWeapon
local CIFMissileStrategicWeapon = import('/lua/cybranweapons.lua').CIFMissileStrategicWeapon
local CDFHeavyMicrowaveLaserGenerator = CybranWeaponsFile.CDFHeavyMicrowaveLaserGenerator
local CWeapons = import('/lua/cybranweapons.lua')
local EffectUtil = import('/lua/EffectUtilities.lua')
local Buff = import('/lua/sim/Buff.lua')

#local CAAMissileNaniteWeapon = CWeapons.CAAMissileNaniteWeapon
local CCannonMolecularWeapon = CWeapons.CCannonMolecularWeapon
local CIFCommanderDeathWeapon = CWeapons.CIFCommanderDeathWeapon
local EffectTemplate = import('/lua/EffectTemplates.lua')
local CDFHeavyMicrowaveLaserGeneratorCom = CWeapons.CDFHeavyMicrowaveLaserGeneratorCom
local CDFOverchargeWeapon = CWeapons.CDFOverchargeWeapon
local CANNaniteTorpedoWeapon = import('/lua/cybranweapons.lua').CANNaniteTorpedoWeapon

local CIFMissileLoaWeapon = CybranWeaponsFile.CIFMissileLoaWeapon
local Entity = import('/lua/sim/Entity.lua').Entity

SC40002 = Class(CLandUnit) {

    Weapons = {
        MLG = Class(CDFHeavyMicrowaveLaserGeneratorCom) {
                        
            SetOnTransport = function(self, transportstate)
                CDFHeavyMicrowaveLaserGeneratorCom.SetOnTransport(self, transportstate)
                self:ForkThread(self.OnTransportWatch)
            end,
            
            OnTransportWatch = function(self)
                while self:GetOnTransport() do
                    self:PlayFxBeamEnd()
                    self:SetWeaponEnabled(false)
                    WaitSeconds(0.3)
                end
            end,          
        },
        CruiseMissile = Class(CIFMissileLoaWeapon){},
        Rocket = Class(CDFMissileMesonWeapon) {},
        Torpedo = Class(CANNaniteTorpedoWeapon) {},
        NukeMissiles = Class(CIFMissileStrategicWeapon) {},
        Bolter = Class(CDFHeavyMicrowaveLaserGenerator) {
                #DisabledFiringBones = {'Center_Turret_Muzzle', 'Center_Turret', 'Center_Turret_B01', 'Center_Turret_Barrel'},
            },
    },
    
    OnStopBeingBuilt = function(self, builder, layer)
        CLandUnit.OnStopBeingBuilt(self,builder,layer)
        # If created with F2 on land, then play the transform anim.
        if(self:GetCurrentLayer() == 'Land') then
			# Enable Land weapons
	        self:SetWeaponEnabledByLabel('Rocket', true)
	        self:SetWeaponEnabledByLabel('Bolter', true)
			# Disable Torpedo
	        self:SetWeaponEnabledByLabel('Torpedo', false)
        elseif (self:GetCurrentLayer() == 'Seabed') then
			# Disable Land Weapons
	        self:SetWeaponEnabledByLabel('Rocket', false)
	        self:SetWeaponEnabledByLabel('Bolter', false)
			# Enable Torpedo
	        self:SetWeaponEnabledByLabel('Torpedo', true)
        end
       self.WeaponsEnabled = true
    end,

	OnLayerChange = function(self, new, old)
		CLandUnit.OnLayerChange(self, new, old)
		if self.WeaponsEnabled then
			if( new == 'Land' ) then
				# Enable Land weapons
				self:SetWeaponEnabledByLabel('Rocket', true)
				self:SetWeaponEnabledByLabel('Bolter', true)
				# Disable Torpedo
				self:SetWeaponEnabledByLabel('Torpedo', false)
			elseif ( new == 'Seabed' ) then
				# Disable Land Weapons
				self:SetWeaponEnabledByLabel('Rocket', false)
				self:SetWeaponEnabledByLabel('Bolter', false)
				# Enable Torpedo
				self:SetWeaponEnabledByLabel('Torpedo', true)
			end
		end
	end,
}
TypeClass = SC40002